corCoRoutineControlBlock Struct Reference

`#include <croutine.h>`

## Data Fields

crCOROUTINE_CODE | pxCoRoutineFunction
ListItem_t | xGenericListItem
ListItem_t | xEventListItem
UBaseType_t | uxPriority
UBaseType_t | uxIndex
uint16_t | uxState

## Field Documentation

## pxCoRoutineFunction

crCOROUTINE_CODE pxCoRoutineFunction

## uxIndex

UBaseType_t uxIndex

## uxPriority

UBaseType_t uxPriority

## uxState

uint16_t uxState

## xEventListItem

ListItem_t xEventListItem

## xGenericListItem

ListItem_t xGenericListItem

The documentation for this struct was generated from the following file:

- croutine.h